package jwiki;



/** Does the login function of JWiki.  The logindone WikiPostable
 ** processes the response of username and password.
 **/
public class login implements WikiPostable {

    public void handlePOST(JHandler h, byte buf[], int bufSize)
        throws Exception
    {
		//OutputStream out = h.getOut();
        h.sendString("HTTP/1.0 200 Ok");
        h.crlf();
        // Headers
        // This keeps the browser from expecting a persistant connection.
        h.sendString("Connection: close");
        h.crlf(); 
        // Clear the password     
        h.sendString("Set-cookie: WikiLogin=false");
        h.crlf();      
        h.crlf();

		h.startPage("Login", false);
 
        h.sendString(("<H1>Login to Wiki System</H1>\n"));
        h.sendString(("Please enter login name and password.\n"));

        // Now the body of the form.
        h.sendString(("<FORM METHOD=POST ACTION=logindone>\n"));
        h.sendString(("User Name:<INPUT TYPE=text name=user cols=20><BR>\n"));
        h.sendString(("Password:<INPUT TYPE=password name=pass cols=20 value=\"\"><BR>\n"));
        h.sendString(("<INPUT TYPE=\"Submit\" NAME=Submit VALUE=\"OK\">\n"));
        h.sendString(("</FORM>\n"));
		h.sendString("<b>Note that a cookie will be set when you login.</b>"); // Joe Bergin

        h.endPage();
        h.flush();
    }

}
