package jwiki;

import java.util.*;

/** Does the page password function of JWiki.  The passworddone WikiPostable
 ** processes the response of password.
 **/
public class password implements WikiPostable {

    public void handlePOST(JHandler h, byte buf[], int bufSize)
        throws Exception
    {
    	//OutputStream out = h.getOut();
        h.sendString("HTTP/1.0 200 Ok");
        h.crlf();
        // Headers
        // This keeps the browser from expecting a persistant connection.
        h.sendString("Connection: close");
        h.crlf(); 
        // Clear the password     
  //      h.sendString("Set-cookie: WikiLogin=false");
        h.crlf();      
        h.crlf();
        
        String pageName = "";
        Hashtable vars = h.parsePOST(buf, bufSize);
        pageName = (String)vars.get("page");
		String kind = (String)vars.get("kind");
        if(pageName == null)
        {
            h.transmitString("Page name Error",
             "No page name specified in the POST.<BR> The INPUT HTML must be wrong.");
            return;
        }

		h.startPage("Password", false);
 
        h.sendString(("<H2>Please enter the page password for this page.</H2>\n"));

        // Now the body of the form.
        h.sendString(("<FORM METHOD=POST ACTION=passworddone>\n"));
        h.sendString(("Page:<INPUT TYPE=text name=page VALUE=" + pageName +" cols=20><BR>\n"));
        h.sendString(("Password:<INPUT TYPE=password name=pass cols=20 value=\"\"><BR>\n"));
        h.sendString(("<INPUT TYPE=\"Submit\" NAME=Submit VALUE=\"OK\">\n"));
		h.sendString(("<INPUT TYPE =\"Hidden\" NAME=\"kind\" VALUE="+kind+">\n"));
        h.sendString(("</FORM>\n"));
	//	h.sendString("<b>Note that a cookie will be set when you login.</b>"); // Joe Bergin

        h.endPage();
        h.flush();
    }
    
    
}