package jwiki;

import java.io.*;
import java.util.*;

public class renamedone implements WikiPostable
{
    public void handlePOST(JHandler h, byte[] buf, int bufSize) throws Exception
    {   //System.out.println("RenameDone");

		Hashtable fhdr; // The file header fields.

        // Parse the content part of the request into seperate items.
        // The key is the var name and the data is the value of the
        // var.
        Hashtable vars = h.parsePOST(buf, bufSize);

		File root = h.getParent().getRoot();
		String rootName = root.getName()+File.separator+"docs";

		String newName = (String)vars.get("newname");
		String oldName = (String)vars.get("oldname");
		if(!newName.equals(oldName))
		{   File oldFile = new File(rootName+File.separator+oldName);
			File newFile = new File(rootName+File.separator+newName);
			if(oldFile.renameTo(newFile))
			{    h.transmitString("Rename succeeded",
				"Moved "+ oldName + " to <a HREF=\"" + newName +"\">" + newName + "</a>");
			}
			else
			{   h.transmitString("Rename failed",
				"Could not move <a HREF=\""+ oldName +"\">" + oldName+ "</a> to " + newName);
			}
		}

        /**@todo: Implement this jwiki.WikiPostable method*/
        //throw new java.lang.UnsupportedOperationException("Method handlePOST() not yet implemented.");
    }
}