package jwiki;

import java.io.*;
import java.util.*;

public class deletedone implements WikiPostable
{
    public void handlePOST(JHandler h, byte[] buf, int bufSize) throws Exception
    {   //System.out.println("DeleteDone");
		Hashtable fhdr; // The file header fields.

        // Parse the content part of the request into seperate items.
        // The key is the var name and the data is the value of the
        // var.
        Hashtable vars = h.parsePOST(buf, bufSize);

		String fileToDelete = (String)vars.get("name");
		//System.out.println(fileToDelete);
		File root = h.getParent().getRoot();
		String rootName = root.getName()+File.separator+"docs";
		//System.out.println(rootName);
		File deleted = new File(rootName+File.separator+"deleted");
		if(!deleted.exists())
		{   deleted.mkdir();
		}
		if(deleted.isDirectory())
		{   File newFile = new File(rootName+File.separator+"deleted" + File.separator + fileToDelete);
			File oldFile = new File(rootName+File.separator+fileToDelete);
			if(newFile.exists())
			{   int i = 1;
				while(newFile.exists())
				{   String newFileName = rootName+File.separator+"deleted" + File.separator + fileToDelete + ";" +i;
				    newFile = new File(newFileName);
					i++;
				}
			}
			if(oldFile.renameTo(newFile))
			{   h.transmitString("Delete succeeded",
				"Moved "+ fileToDelete + " to the backup directory.");
			}
			else
			{   h.transmitString("Delete failed",
				"Could not move "+ fileToDelete + " to the backup directory.");
			}
		//	System.out.println(newFile.getAbsolutePath());
		}
		else
		{ h.transmitString("Delete failed", "Could not create the backup directory.");
		}

        /**@todo: Implement this jwiki.WikiPostable method*/
        //throw new java.lang.UnsupportedOperationException("Method handlePOST() not yet implemented.");
    }
}
