package jwiki;

import java.util.*;
import java.net.*;

/** Processes the response of username and password.
 **/
public class logindone implements WikiPostable {

    public void handlePOST(JHandler h, byte buf[], int bufSize)
        throws Exception
    {
		Hashtable fhdr; // The file header fields.

        // Parse the content part of the request into seperate items.
        // The key is the var name and the data is the value of the
        // var.
        Hashtable vars = h.parsePOST(buf, bufSize);

		String user = (String)vars.get("user");
		String pass = (String)vars.get("pass");

		// WARNING -- This is a dangerous debug statement because it reveals passwords.
		// Comment it out when not immediately in use.
		// h.doDebug(2, "logindone: user=" + user + "  pass=" + pass);
		
		String pw = JWiki.adminpw();
		
		if(pw != null  && pw.trim() != ""  && user.equals("root") && pass.trim().equals(pw))
		{	System.exit(1);
		}

		String mpass = h.getParent().lookupPassword(user);
		if(mpass == null || mpass.equals(pass) == false)
		{
			h.transmitString("Invalid Login Error", "<H1><FONT COLOR=ff0000>Invalid Login</FONT></H1>");
			return;
		}

        //OutputStream out = h.getOut();
        h.sendString("HTTP/1.0 200 Ok");
        h.crlf();
        // Headers
        // This keeps the browser from expecting a persistant connection.
        h.sendString("Connection: close");
        h.crlf();      
        Date now = new Date();
		// Now + 6 hours
		Date later = new Date(now.getTime() + 1000 * 60 * 60 * 6);
        h.doDebug(2, "Set-cookie: WikiLogin=true; expires=" + later.toString());
        h.sendString(("Set-cookie: WikiLogin=true; expires=" + later.toString()));
        h.crlf(); 
        // End of header lines.     
        h.crlf();
        h.startPage("Login Successful", false);
		h.sendString("<pre>The following cookie has been set:\n\n"); // Joe Bergin
		h.sendString("<b>"+ InetAddress.getLocalHost().getHostName()+":" + JWiki.port() + 
			"	FALSE	FALSE	"+ later.getTime() + "	WikiLogin	true</b>\n\n");
		h.sendString("The number is a timestamp.  It is equivalent to " + later.toString());
		h.sendString("\nThe time is the expiration date of the cookie;\n");
		h.sendString("After that time you will need to login again.\n");
		h.sendString("\"WikiLogin	true\" means that the login property is set to true.\n");
		h.sendString("The two \"FALSE\" tokens are cookie defaults. \n\n");
		h.sendString("To learn more about cookies, visit <a href=http://www.cookiecentral.com>Cookie Central</a></pre>");

        h.endPage();
        h.flush();
    }

}
