package jwiki;

import java.util.*;

/** Completes the page password function of JWiki.  
 **/
public class passworddone implements WikiPostable {

    public void handlePOST(JHandler h, byte buf[], int bufSize)
        throws Exception
    {
        Hashtable vars = h.parsePOST(buf, bufSize);
		
		String kind = (String)vars.get("kind");
		String pageName = (String)vars.get("page");	
		
		if ("read".equalsIgnoreCase(kind))
		{
			String readpassword = (String)vars.get("pass");      
        	h.showPage(pageName, readpassword);
		}
		else if("write".equalsIgnoreCase(kind))
		{
			String writePassword = (String)vars.get("pass");
			h.transmitEditPage(pageName,writePassword);
		}
    }
    
    
}